Vector Grid Ul is inscrutable
Status: Closed

Priority: Low

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15334
Description

I'm not sure where to begin here - there are probably multiple tickets in this filing, but I thought I'd file a massive ticket & await further
instruction.

Screencast of my experiences: http://www.screenr.com/Itl8

1. Grid Extent Section

I have no clue how to tell what is required, what is optional, or what the extent tool uses for input in the case of conflicting entries.

For example, if | select a layer, and then click on the "Use Canvas" extent, which one is used? Or... why is the first thing | am asked to
complete in this Ul possibly immediately ignored?

Why is there a checkbox for a raster layer at all? Why wouldn't a vector layer and a raster layer work the same way? Also... why does it
discuss "resolution" in the "extent" section?

1. Parameters
The title here is very vague and not helpful. Perhaps "Grid Interval” is a better description?
And, if it's possible to show some knowledge of the units for the Grid interval, that would be fantastic.
The grid interval should also be set to default to something related to both the units and the grid extent. For example, the default unit is
.0001, which, in a Web Mercator projection (or even WGS84 with a multi-degree extent), will bog down most machiens while trying to

create an extremely fine grid.

"Lock 1:1" is not very helpful (as compared to a maintain ratio lock once a ratio has been set), as 1:1 is the easiest ratio to manually enter,
while 2:3 can be a little trickier, etc.

The "Output Grid as" selection also repeats information that deemphasizes the comparison at hand: lines vs. polygons.
Perhaps it could be changed to:

"Output grid as: _ Polygon _ Lines"

History

#1 - 2014-05-20 01:48 PM - Jukka Rahkonen
| would add one more issue in Vector grid Ul: Too few decimal points (4) reserved for giving the grid interval when using geographic coordinate system.

Use case: EPSG:4326 degrees should be divided into 5 minute sections which makes 12 sections per degree. In decimal degrees the interval is
0.0833333...
http://www.screenr.com/ltl8

Vector grid lets only to give the interval as 0.0833 which makes the grid points to slide visibly away from full degree lines.
#2 - 2014-06-28 07:42 AM - Jiirgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2016-03-25 07:10 AM - Alexander Bruy

- Status changed from Open to Closed

Not applicable, as fTools now replaced by Processing
